diff --git a/install.sh b/install.sh
old mode 100644
new mode 100755
index fbcae34..dcc6a1f
--- a/install.sh
+++ b/install.sh
@@ -1,7 +1,37 @@
 #iosevka - possibly using a helper tool?
+printf "\e[32mMake sure to install Iosevka font\n\e[0m"
 #pyenv $PATH - part of .zshenv
+printf "\e[32mInstall pyenv if you want it\n\e[0m"
 #thefuck $PATH - pip install thefuck
+if [[ $(hash thefuck; echo $?) != 0 ]]
+then
+	pip install thefuck
+fi
 #antigen ~/.antigen - git clone https://github.com/zsh-users/antigen.git ~/.antigen
+if [[ !(-d $HOME/.antigen/) ]]
+then
+	git clone https://github.com/zsh-users/antigen.git ~/.antigen
+fi
 #nvim $PATH - pkgmngr install nvim/neovim
-#.zshenv (at least check for existence) 
+if [[ $(hash nvim; echo $?) != 0 ]]
+then
+	if [[ ($(uname) -eq "Darwin") && ( $(hash brew; echo $?) != 0 ) ]]
+	then
+		/usr/bin/ruby -e "$(curl -fsSL https://raw.githubusercontent.com/Homebrew/install/master/install)"
+		brew install neovim
+	elif [[ $(hash pacman; echo $?) == 0 ]]
+	then
+		pacman -Sy neovim
+	elif [[ $(hash apt-get; echo $?) == 0 ]]
+	then
+		apt-get install neovim
+	elif [[ $(hash pacman; echo $?) == 0 ]]
+	then
+		dnf install neovim
+	else
+		printf "\e[32m\e[32mCouldn't figure out which package manager you use. Install nvim manually\n\e[0m"
+	fi
+fi
+
 #AndroidSDK ~/Android/sdk - Ugh. Through IDEA?
+printf "\e[32mMake sure to install the Android SDK into $HOME/Android\n"